SLEEP(3)

NAME
sleep - suspend execution for interval

SYNOPSIS
#include <unistd.h>
unsigned int sleep(unsigned int seconds)

DESCRIPTION
The current process is suspended from execution for the number of seconds specified by the argument.

The routine is implemented by setting an alarm timer and pausing until it occurs. The previous state of this timer is saved and restored. If the sleep time exceeds the time to the expiration of the previous timer, the process sleeps only until the signal would have occurred, and the signal is sent 1 second later.

SEE ALSO
alarm(2), pause(2).